###########################################################################################################
###	Documentation:											
###	https://www.kernel.org/doc/Documentation/kbuild/kconfig-language.txt				
###########################################################################################################



menu "PWM configuration"
	depends on USE_PERIPHERALS
	
	config USE_PWM
	bool "Enable PWM Module"
	default "n"

if PLATFORM_TARGET!="esp32"
	config USE_PWM_CORE
	#bool "Enable PWM Module"
	default "y"
endif
		
if PLATFORM_TARGET="esp32"

################## LED PWM configuration

	source "$PWD/../platform/core/peripherals/pwm/led-pwm/Kconfig"

################## MC PWM configuration	
	#config USE_MC_PWM
	#	depends on USE_PWM
	#	bool "Enable Motor-Control PWM Module"
	#	default "n"
	
endif

endmenu